import { Base, Type } from "igniteui-webcomponents-core";
import { IFilterExpression } from "igniteui-webcomponents-core";
import { DataSourceSchemaPropertyType } from "igniteui-webcomponents-core";
/**
 * @hidden
 */
export declare abstract class ColumnFilterCondition extends Base {
    static $t: Type;
    b(): boolean;
    a(a: string, b: DataSourceSchemaPropertyType): IFilterExpression;
}
